<?php

declare(strict_types=1);

namespace Drupal\collection\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * Provides a constraint for the glossary term name.
 */
#[Constraint(
  id: 'GlossaryTermName',
  label: new TranslatableMarkup('Glossary term name constraint', [], ['context' => 'Validation']),
)]
class GlossaryTermName extends SymfonyConstraint {

  /**
   * The violation message for a synonym same as the glossary term name.
   *
   * @var string
   */
  public string $message = 'This glossary term (%name) name is already used as synonym of <a href=":url">@glossary</a>. You should remove that synonym before using this name.';

}
