<?php

declare(strict_types=1);

namespace Drupal\joinup_licence\Plugin\JoinupLicenceCompatibilityRule;

use Drupal\joinup_licence\Attribute\JoinupLicenceCompatibilityRule;
use Drupal\joinup_licence\JoinupLicenceCompatibilityRulePluginBase;

/**
 * Implementation of the T16 rule.
 *
 * @codingStandardsIgnoreStart
 * - <Licence-A>: Must=Copyleft
 * - <Licence-B>: Must=Lesser copyleft
 * @codingStandardsIgnoreEnd
 */
#[JoinupLicenceCompatibilityRule(
  id: "T16",
  weight: 1600
)]
class T16CopyLeftCanBeDistributedAsLesserCopyLeft extends JoinupLicenceCompatibilityRulePluginBase {

  const INBOUND_CRITERIA = [
    'Must' => [
      'Copyleft/Share a.',
    ],
  ];
  const OUTBOUND_CRITERIA = [
    'Must' => [
      'Lesser copyleft',
    ],
  ];

}
