<?php

declare(strict_types=1);

namespace Drupal\joinup_validation\Plugin\Validation\Constraint;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\Core\Validation\Attribute\Constraint;
use Symfony\Component\Validator\Constraint as SymfonyConstraint;

/**
 * Checks if an entity field has unique values.
 */
#[Constraint(
  id: 'UniqueFieldValue',
  label: new TranslatableMarkup('Unique values in a field constraint', [], ['context' => 'Validation']),
)]
class UniqueFieldValueConstraint extends SymfonyConstraint {

  /**
   * The default violation message.
   *
   * @var string
   */
  public $message = 'The value %value is already selected for field %field_name.';

}
